### Method

# Gtk Snapshotappend_radial_gradient

#### Declaration [src]

    void
    gtk_snapshot_append_radial_gradient (
      GtkSnapshot* snapshot,
      const graphene_rect_t* bounds,
      const graphene_point_t* center,
      float hradius,
      float vradius,
      float start,
      float end,
      const GskColorStop* stops,
      gsize n_stops
    )

#### Description [src]

Appends a radial gradient node with the given stops to `snapshot`.

#### Parameters

`bounds`

  Type: `graphene_rect_t`

  The rectangle to render the readial gradient into.

  The data is owned by the caller of the method.

`center`

  Type: `graphene_point_t`

  The center point for the radial gradient.

  The data is owned by the caller of the method.

`hradius`

  Type: `float`

  The horizontal radius.

`vradius`

  Type: `float`

  The vertical radius.

`start`

  Type: `float`

  The start position (on the horizontal axis)

`end`

  Type: `float`

  The end position (on the horizontal axis)

`stops`

  Type: An array of `GskColorStop`

  The color stops defining the gradient.

  The length of the array is specified in the `n_stops` argument.
  The data is owned by the caller of the method.

`n_stops`

  Type: `gsize`

  The number of elements in `stops`.